<layout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable name="video" type="bacch.player.bacchplayer.model.Video"/>
    </data>

    <RelativeLayout android:layout_width="match_parent"

                    android:layout_height="match_parent"

                    tools:context="bacch.player.bacchplayer.fragments.VideoPlayerFragment">

        <SurfaceView
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:id="@+id/surfaceView"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintVertical_bias="0.0" android:layout_above="@+id/player"
                android:layout_marginBottom="4dp" android:layout_marginTop="4dp"
                android:layout_alignParentTop="true"/>

        <TextView
                android:text="@{video.fileName}"
                tools:text="sdgds"
                android:gravity="center_vertical"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:minHeight="?listPreferredItemHeight"
                android:layout_alignParentTop="true"
                android:paddingStart="16dp"
                android:paddingEnd="16dp"
                android:background="@color/darker_gray"
                android:id="@+id/textViewTitle"
                android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                android:textColor="@android:color/white"
                android:layout_marginTop="16dp"
                app:layout_constraintTop_toTopOf="parent"
                android:lines="1"
                android:layout_marginStart="24dp"
                app:layout_constraintStart_toStartOf="parent"
                android:visibility="invisible"/>

        <android.support.constraint.ConstraintLayout
                android:id="@+id/player"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorPrimary"
                android:visibility="visible"
                android:layout_alignParentBottom="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                tools:layout_editor_absoluteY="530dp">

            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_anchor="@id/playerView"
                    app:layout_anchorGravity="top"
                    android:clickable="true"
                    app:srcCompat="@drawable/play"
                    android:backgroundTint="@color/colorAccent"
                    android:id="@+id/actionPlay"
                    tools:ignore="NotSibling"
                    android:layout_marginTop="16dp"
                    app:layout_constraintTop_toTopOf="parent"
                    android:layout_marginStart="8dp"
                    app:layout_constraintStart_toStartOf="parent"
                    android:layout_marginEnd="8dp"
                    app:layout_constraintEnd_toEndOf="parent"/>
            <TextView
                    tools:text="00:00"
                    app:mediaTime="@{video.duration}"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/textViewTimeTotalTime"
                    android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                    android:textColor="@android:color/white"
                    android:layout_marginEnd="16dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:layout_marginTop="24dp"
                    app:layout_constraintTop_toTopOf="parent"/>
            <TextView
                    android:text="00:00"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/textViewCurrentTime"
                    android:layout_marginTop="24dp"
                    app:layout_constraintTop_toTopOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    android:layout_marginStart="16dp"
                    android:textAppearance="@style/TextAppearance.AppCompat.Medium"
                    android:textColor="@android:color/white"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="mini"
                    android:clickable="true"
                    app:srcCompat="@drawable/ic_skip_next_black_24dp"
                    android:id="@+id/actionForward"
                    app:layout_constraintStart_toEndOf="@+id/actionPlay"
                    android:layout_marginStart="16dp"
                    app:layout_constraintBottom_toBottomOf="@+id/actionPlay"
                    app:layout_constraintTop_toTopOf="@+id/actionPlay" android:visibility="invisible"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="mini"
                    android:clickable="true"
                    app:srcCompat="@drawable/ic_skip_previous_black_24dp"
                    android:id="@+id/actionBackward"
                    app:layout_constraintEnd_toStartOf="@+id/actionPlay"
                    android:layout_marginEnd="16dp"
                    app:layout_constraintTop_toTopOf="@+id/actionPlay"
                    app:layout_constraintBottom_toBottomOf="@+id/actionPlay" android:visibility="invisible"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:fabSize="mini"
                    android:clickable="true"
                    app:srcCompat="@drawable/ic_folder"
                    android:id="@+id/actionShuffle"
                    app:layout_constraintStart_toEndOf="@+id/actionForward"
                    android:layout_marginStart="8dp"
                    app:layout_constraintBottom_toBottomOf="@+id/actionForward"
                    app:layout_constraintTop_toTopOf="@+id/actionForward"/>
            <android.support.design.widget.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:clickable="true"
                    app:srcCompat="@drawable/ic_repeat"
                    app:fabSize="mini"
                    android:id="@+id/actionRepeat"
                    app:layout_constraintEnd_toStartOf="@+id/actionBackward"
                    android:layout_marginEnd="8dp"
                    app:layout_constraintBottom_toBottomOf="@+id/actionBackward"
                    app:layout_constraintTop_toTopOf="@+id/actionBackward" android:visibility="invisible"/>
            <ProgressBar
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:id="@+id/progressBar"
                    android:progressTint="@color/progressBar"
                    android:scaleY="2"
                    android:interpolator="@android:anim/linear_interpolator"
                    app:layout_constraintEnd_toEndOf="parent"
                    android:layout_marginEnd="24dp"
                    app:layout_constraintStart_toStartOf="parent"
                    android:layout_marginStart="24dp"
                    android:layout_marginTop="16dp"
                    app:layout_constraintTop_toBottomOf="@+id/actionPlay"
                    android:layout_marginBottom="24dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    android:visibility="visible" android:progressBackgroundTint="@color/lighter_gray"/>

        </android.support.constraint.ConstraintLayout>

    </RelativeLayout>

</layout>